<?xml version="1.0" encoding="UTF-8"?>
<book version="5.0" xml:id="j2ee.pg" xml:lang="en"
      xmlns="http://docbook.org/ns/docbook"
      xmlns:xlink="http://www.w3.org/1999/xlink"
      xmlns:xi="http://www.w3.org/2001/XInclude"
      xmlns:svg="http://www.w3.org/2000/svg"
      xmlns:mml="http://www.w3.org/1998/Math/MathML"
      xmlns:html="http://www.w3.org/1999/xhtml"
      xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <title>Java EE Programmer's Guide</title>

    <authorgroup>
      <author>
        <orgname>JOnAS Team</orgname>
      </author>
    </authorgroup>

    <legalnotice>
      <para>This work is licensed under the Creative Commons
      Attribution-ShareAlike License. To view a copy of this license,visit
      <link
      xlink:href="http://creativecommons.org/licenses/by-sa/2.0/deed.en">http://creativecommons.org/licenses/by-sa/2.0/deed.en</link>
      or send a letter to Creative Commons, 559 Nathan Abbott Way, Stanford,
      California 94305, USA.</para>
    </legalnotice>

    <copyright>
      <year>2008-2009</year>

      <holder>OW2 Consortium</holder>
    </copyright>

    <date>Feb 2008</date>
  </info>

  <preface xml:id="j2ee.pg.preface">
    <para>The target audience for this guide is the application component
    provider, i.e., the person in charge of developing the software components
    on the server side (the business tier).</para>
  </preface>

  <chapter xml:id="j2ee.pg.principles">
    <info>
      <title>Principles</title>
    </info>

    <para>JOnAS supports two types of Java EE application components:
    Enterprise Beans and Web components. In addition to providing guides for
    construction of application components, guides are supplied for
    application assembly, deployment, and administration.</para>

    <xi:include href="j2ee/j2ee-ejb.xml" />

    <xi:include href="j2ee/j2ee-web.xml" />

    <xi:include href="j2ee/j2ee-app.xml" />

    <section xml:id="j2ee.appAss">
      <info>
        <title>Java EE Application Assembler</title>
      </info>

      <para>The application assembler in charge of assembling the application
      components already bundled in EJB JAR files and WAR files into a Java EE
      EAR file, can obtain useful information from the <link
      xlink:href="eardeploy.html">Java EE Application Assembler's Guide
      </link>.</para>
    </section>
  </chapter>

  <chapter xml:id="j2ee.pg.classloader">
    <info>
      <title>JOnAS Class Loader</title>
    </info>

    <xi:include href="j2ee/classloader.xml" />
  </chapter>
</book>
